
@-webkit-keyframes fall {
0% {
opacity: 0.9;
top: 0
}

100% {
opacity: 0.2;
top: 100%
}
}

@keyframes fall {
0% {
opacity: 0.9;
top: 0
}

100% {
opacity: 0.2;
top: 100%
}
}

@-webkit-keyframes blow-soft-left {
0% {
margin-left: 0
}

100% {
margin-left: -50%
}
}

@keyframes blow-soft-left {
0% {
margin-left: 0
}

100% {
margin-left: -50%
}
}

@-webkit-keyframes blow-medium-left {
0% {
margin-left: 0
}

100% {
margin-left: -100%
}
}

@keyframes blow-medium-left {
0% {
margin-left: 0
}

100% {
margin-left: -100%
}
}

@-webkit-keyframes blow-soft-right {
0% {
margin-left: 0
}

100% {
margin-left: 50%
}
}

@keyframes blow-soft-right {
0% {
margin-left: 0
}

100% {
margin-left: 50%
}
}

@-webkit-keyframes blow-medium-right {
0% {
margin-left: 0
}

100% {
margin-left: 100%
}
}

@keyframes blow-medium-right {
0% {
margin-left: 0
}

100% {
margin-left: 100%
}
}

@-webkit-keyframes sway-0 {
0% {
-webkit-transform: rotate(-5deg)
}

40% {
-webkit-transform: rotate(28deg)
}

100% {
-webkit-transform: rotate(3deg)
}
}

@keyframes sway-0 {
0% {
-ms-transform: rotate(-5deg);
transform: rotate(-5deg)
}

40% {
-ms-transform: rotate(28deg);
transform: rotate(28deg)
}

100% {
-ms-transform: rotate(3deg);
transform: rotate(3deg)
}
}

@-webkit-keyframes sway-1 {
0% {
-webkit-transform: rotate(10deg)
}

40% {
-webkit-transform: rotate(43deg)
}

100% {
-webkit-transform: rotate(15deg)
}
}

@keyframes sway-1 {
0% {
-ms-transform: rotate(10deg);
transform: rotate(10deg)
}

40% {
-ms-transform: rotate(43deg);
transform: rotate(43deg)
}

100% {
-ms-transform: rotate(15deg);
transform: rotate(15deg)
}
}

@-webkit-keyframes sway-2 {
0% {
-webkit-transform: rotate(15deg)
}

40% {
-webkit-transform: rotate(56deg)
}

100% {
-webkit-transform: rotate(22deg)
}
}

@keyframes sway-2 {
0% {
-ms-transform: rotate(15deg);
transform: rotate(15deg)
}

40% {
-ms-transform: rotate(56deg);
transform: rotate(56deg)
}

100% {
-ms-transform: rotate(22deg);
transform: rotate(22deg)
}
}

@-webkit-keyframes sway-3 {
0% {
-webkit-transform: rotate(25deg)
}

40% {
-webkit-transform: rotate(74deg)
}

100% {
-webkit-transform: rotate(37deg)
}
}

@keyframes sway-3 {
0% {
-ms-transform: rotate(25deg);
transform: rotate(25deg)
}

40% {
-ms-transform: rotate(74deg);
transform: rotate(74deg)
}

100% {
-ms-transform: rotate(37deg);
transform: rotate(37deg)
}
}

@-webkit-keyframes sway-4 {
0% {
-webkit-transform: rotate(40deg)
}

40% {
-webkit-transform: rotate(68deg)
}

100% {
-webkit-transform: rotate(25deg)
}
}

@keyframes sway-4 {
0% {
-ms-transform: rotate(40deg);
transform: rotate(40deg)
}

40% {
-ms-transform: rotate(68deg);
transform: rotate(68deg)
}

100% {
-ms-transform: rotate(25deg);
transform: rotate(25deg)
}
}

@-webkit-keyframes sway-5 {
0% {
-webkit-transform: rotate(50deg)
}

40% {
-webkit-transform: rotate(78deg)
}

100% {
-webkit-transform: rotate(40deg)
}
}

@keyframes sway-5 {
0% {
-ms-transform: rotate(50deg);
transform: rotate(50deg)
}

40% {
-ms-transform: rotate(78deg);
transform: rotate(78deg)
}

100% {
-ms-transform: rotate(40deg);
transform: rotate(40deg)
}
}

@-webkit-keyframes sway-6 {
0% {
-webkit-transform: rotate(65deg)
}

40% {
-webkit-transform: rotate(92deg)
}

100% {
-webkit-transform: rotate(58deg)
}
}

@keyframes sway-6 {
0% {
-ms-transform: rotate(65deg);
transform: rotate(65deg)
}

40% {
-ms-transform: rotate(92deg);
transform: rotate(92deg)
}

100% {
-ms-transform: rotate(58deg);
transform: rotate(58deg)
}
}

@-webkit-keyframes sway-7 {
0% {
-webkit-transform: rotate(72deg)
}

40% {
-webkit-transform: rotate(118deg)
}

100% {
-webkit-transform: rotate(68deg)
}
}

@keyframes sway-7 {
0% {
-ms-transform: rotate(72deg);
transform: rotate(72deg)
}

40% {
-ms-transform: rotate(118deg);
transform: rotate(118deg)
}

100% {
-ms-transform: rotate(68deg);
transform: rotate(68deg)
}
}

@-webkit-keyframes sway-8 {
0% {
-webkit-transform: rotate(94deg)
}

40% {
-webkit-transform: rotate(136deg)
}

100% {
-webkit-transform: rotate(82deg)
}
}

@keyframes sway-8 {
0% {
-ms-transform: rotate(94deg);
transform: rotate(94deg)
}

40% {
-ms-transform: rotate(136deg);
transform: rotate(136deg)
}

100% {
-ms-transform: rotate(82deg);
transform: rotate(82deg)
}
}

.sakura {
background: -webkit-linear-gradient(120deg, rgba(255, 183, 247, 0.9), rgba(255, 255, 255, 0.9));
background: linear-gradient(120deg, rgba(255, 183, 247, 0.9), rgba(255, 255, 255, 0.9));
pointer-events: none;
position: absolute;
z-index:-20; 
}


#shootingStar_box {
    height: 100vh;
    width: 100vw;
    top: 0;
    position: fixed;
    overflow: hidden;
}

span_star {
    position: absolute;
    top: 0px !important;
    left: 10%;
    width: 4px;
    height: 4px;
    background: #fff;
    border-radius: 50%;
    box-shadow:
        0 0 0 4px rgba(255, 255, 255, 0.1),
        0 0 0 8px rgba(255, 255, 255, 0.1),
        0 0 20px rgba(255, 255, 255, 0.1);
    animation: animate 3s linear infinite;
    z-index: -1;
}

span_star::before {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 300px;
    height: 1px;
    background: linear-gradient(90deg, #fff, transparent);
}

@keyframes animate {
    0% {
        transform: rotate(315deg) translateX(0);
        opacity: 1;
    }

    70% {
        opacity: 1;
    }

    100% {
        transform: rotate(315deg) translateX(-1000px);
        opacity: 0;
    }
}

span_star:nth-child(1) {
    top: 0;
    right: 85vw;
    left: initial;
    animation-delay: 0s;
    animation-duration: 1s;
}

span_star:nth-child(2) {
    top: 0;
    right: 60vw;
    left: initial;
    animation-delay: 0.2s;
    animation-duration: 3s;
}

span_star:nth-child(3) {
    top: 80px;
    right: 45vw;
    left: initial;
    animation-delay: 0.4s;
    animation-duration: 2s;
}

span_star:nth-child(4) {
    top: 0;
    right: 0vh;
    left: initial;
    animation-delay: 0.6s;
    animation-duration: 1.5s;
}

span_star:nth-child(5) {
    top: 0;
    right: 30vw;
    left: initial;
    animation-delay: 0.8s;
    animation-duration: 2.5s;
}

span_star:nth-child(6) {
    top: 0;
    right: 15vw;
    left: initial;
    animation-delay: 1s;
    animation-duration: 3s;
}

span_star:nth-child(7) {
    top: 55vw;
    right: 0px;
    /* left: initial; */
    animation-delay: 1.2s;
    animation-duration: 1.75s;
}

span_star:nth-child(8) {
    top: 60vw;
    right: -100px;
    left: initial;
    animation-delay: 1.4s;
    animation-duration: 1.25s;
}

span_star:nth-child(9) {
    top: 40vw;
    right: -150px;
    left: initial;
    animation-delay: 0.75s;
    animation-duration: 2.25s;
}

span_star:nth-child(10) {
    top: 0px;
    left: initial;
    animation-delay: 2.75s;
    animation-duration: 2.75s;
}

.background-container {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.stars {
    background: transparent url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/1231630/stars.png) repeat;
    background-attachment: fixed;
    position: fixed;

    height: 100vh;
    width: 100vw;

    top: 0;
    display: block;
    z-index: -1;
}

/* pink theme */

#musicplayer {
    font-family: "basiic";
    font-weight: bold;
    height: inherit;
    width: inherit;
    left: 0;
    bottom: 0;
    /* position:fixed; */

    min-width: 200px;
    min-height: 200px;

    display: grid;

    background: linear-gradient(180deg,
            #cca0ff 0%,
            white 45%,
            #ffbeff 47%,
            #b8bbff 100%);

    /* border: solid 10px #ff00bb; */
    /* border around player */

    /* outline: solid 2px black; */
    box-shadow:
        inset 13px 0px 6px -10px #ffb9ec,
        inset -13px 0px 6px -10px #ffb8ec,
        inset 0px 13px 6px -10px #ffffff,
        inset 0px -13px 6px -10px #ffa6e7;
    z-index: 1;
}



.songtitle {
    padding: 2px;
    /* padding around song title */
    font-family: "basiic";
    margin-top: 4px;
    margin-right: 5px;
    font-size: var(--default_size);
    color: rgb(255, 255, 255);
    letter-spacing: 1px;
    text-align: center;
    vertical-align: middle !important;

    height: 65px;
    overflow: scroll;
    scrollbar-width: none;

    /* background of song title */
    border: rgb(255, 191, 244) inset 3px;
    border-radius: 6px;
    box-shadow:
        inset 13px 0px 6px -10px rgb(255, 149, 243),
        inset -13px 0px 6px -10px rgb(255, 149, 218 / 56%),
        inset 0px 13px 6px -10px #ffffff,
        inset 0px -13px 6px -10px rgb(255, 149, 218 / 38%);
}


.controls {
    font-size: 12px;
    /* size of controls */
    text-align: center;
    width: 100%;
    height: 20px;
    text-decoration: none;
    filter:
        drop-shadow(2px 0 0 var(--big_text)) drop-shadow(0 2px 0 var(--big_text))
        /* drop-shadow(-2px 0 0 var(--big_text))  */
        /* drop-shadow(0 -2px 0 var(--big_text))   */
        /* drop-shadow(-0.5px 0.5px 0 var(--big_text))  */
        /* drop-shadow(0 0.5px 0 var(--big_text)) 
        drop-shadow(0 0.5px 0 var(--big_text)) 
        drop-shadow(0 0.5px 0.5px var(--big_text)) 
        drop-shadow(0 0.5px var(--big_text)) 
        drop-shadow(0.5px 0.5px 0 var(--big_text)) 
        drop-shadow(0.5px 0.5px 0 var(--big_text)); */
}

.controls td {
    padding-top: 2px;
    /* padding around controls */
}

.seeking {
    width: 95%;
    background: transparent;
    /* background color of seeking bar */
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "Slider Slider"
        "Current Duration";
    margin-top: -13px;

    color: var(--big_text);
    justify-content: space-evenly;
    padding: 7px;
    /* padding around seeking bar */
}


.current-time {
    grid-area: Current;
    text-align: left;
    padding-left: 10px;
}

.total-duration {
    grid-area: Duration;
    text-align: right;
    padding-right: 10px;

}

.ctrlimg {
    margin-top: -20px;
    height: 40px;
    width: 40px;
}

.ctrlimg:hover {
    cursor: help;
    filter: saturate(2);
    scale: .95;
}

input[type="range"] {
    grid-area: Slider;
    -webkit-appearance: none;
    width: inherit;
    background: transparent;
}

input[type="range"]:focus {
    outline: none;
}

input[type="range"]::-webkit-slider-runnable-track {
    width: 100%;
    height: 10px;
    /* thickness of seeking track */
    cursor: help;
    border-radius: 6px;
    background: var(--main_color-solid);
    /* color of seeking track */
    border: 1px white solid;
}

input[type="range"]::-webkit-slider-thumb {
    height: 30px;
    /* height of seeking square */
    width: 20px;
    /* width of seeking square */
    background-image: url("https://file.garden/Zztv0a9yEhr5pmEq/tumblr_40786d3985453eb5412348aad980ac51_3a9a1088_1280%20(1).gif");
    /* image of  seeking square */
    background-size: 25px;
    -webkit-appearance: none;
    margin-top: -10px;
}

input[type="range"].volume_slider::-webkit-slider-runnable-track {
    background: white;
}

input[type="range"].volume_slider::-webkit-slider-thumb {
    background-image: url(/images/smalls/heart.webp);
    /* image of volume seeking square */
    background-size: 25px;
    background-repeat: no-repeat;
    height: 25px;
    /* height of volume seeking square */
    width: 30px;
    margin-top: -4px;
}

.slider_container {
    width: 100%;
    /* width of volume seeker */
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ===================( Twinkling stars effect )========== */

#star-container {
    background-color: transparent;
    height: 100vh;
    width: 100vw;
}

.star {
    position: absolute;
    height: 10px;
    width: 10px;
    background: url(/images/smalls/Star.png);
    background-size: cover;
}

@keyframes twinkle {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.2;
    }

    100% {
        opacity: 1;
    }
}

/* ================================= ( carousel ) ================================ */

@layer base, demo;
@import url(https://fonts.bunny.net/css?family=abel:400);

@layer demo {
    .carousel {
        --items: 15;
        --carousel-duration: 10s;

        @media (width > 600px) {
            --carousel-duration: 15s;
        }

        --carousel-width: min(80vw,
            800px);
        /* note - it will "break" if it gets too wide and there aren't enough items */
        --carousel-item-width: 150px;
        --carousel-item-height: 60px;
        --carousel-item-gap: 0px;

        --clr-cta: rgb(0, 132, 209);

        position: sticky;
        width: 100%;
        height: var(--carousel-item-height);
        overflow: clip;


        &[mask] {
            /* fade out on sides */
            mask-image: linear-gradient(to right,
                    transparent,
                    black 10% 90%,
                    transparent);
        }

        &[reverse]>article {
            animation-direction: reverse;
        }

        /* hover pauses animation */
        &:hover>article {
            animation-play-state: paused;
        }
    }

    .carousel>article {
        position: absolute;
        top: 20px;
        left: calc(100% + var(--carousel-item-gap));
        width: var(--carousel-item-width);
        height: 20px;
        display: grid;

        /* animation */
        will-change: transform;
        animation-name: marquee;
        animation-duration: var(--carousel-duration);
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        animation-delay: calc(var(--carousel-duration) / var(--items) * 1 * var(--i) * -1);

        &:nth-child(1) {
            --i: 0;
        }

        &:nth-child(2) {
            --i: 1;
        }

        &:nth-child(3) {
            --i: 2;
        }

        &:nth-child(4) {
            --i: 3;
        }

        &:nth-child(5) {
            --i: 4;
        }

        &:nth-child(6) {
            --i: 5;
        }

        &:nth-child(7) {
            --i: 6;
        }

        &:nth-child(8) {
            --i: 7;
        }

        &:nth-child(9) {
            --i: 8;
        }

        &:nth-child(10) {
            --i: 9;
        }

        &:nth-child(11) {
            --i: 10;
        }

        &:nth-child(12) {
            --i: 11;
        }

        &:nth-child(13) {
            --i: 12;
        }

        &:nth-child(14) {
            --i: 13;
        }

        &:nth-child(15) {
            --i: 14;
        }

        &:nth-child(16) {
            --i: 15;
        }
    }

    .carousel img {
        width: 100%;
        height: 100%;
        object-fit: contain;

    }

    /* .carousel > article > *:not(img) {
		padding: 0 1rem
	} */

    .carousel>article a {
        text-decoration: none;
        text-transform: lowercase;
        color: light-dark(var(--clr-cta), white);
        /* padding: 0.25rem 0.5rem; */
        place-self: start;
        transition: 150ms ease-in-out;

        &:hover,
        &:focus-visible {
            background-color: var(--clr-cta);
            color: white;
            outline: none;
        }

    }

    .carousel>article>a>img:hover {
        scale: 1.2;
        opacity: 1;
        rotate: 0deg;
    }

    @keyframes marquee {
        100% {
            transform: translateX(calc((var(--items) * (var(--carousel-item-width) + var(--carousel-item-gap))) * -1));
        }
    }
}




/* SNOWFLAKEs */

.snowflake {
    width:20px;
}

@-webkit-keyframes snowflakes-fall {
    0% {
        top: -10%
    }

    100% {
        top: 100%
    }
}

@-webkit-keyframes snowflakes-shake {

    0%,
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    50% {
        -webkit-transform: translateX(80px);
        transform: translateX(80px)
    }
}

@keyframes snowflakes-fall {
    0% {
        top: -10%
    }

    100% {
        top: 100%
    }
}

@keyframes snowflakes-shake {

    0%,
    100% {
        transform: translateX(0)
    }

    50% {
        transform: translateX(80px)
    }
}

.snowflake {
    position: fixed;
    top: -10%;
    z-index: 9999;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
    -webkit-animation-name: snowflakes-fall, snowflakes-shake;
    -webkit-animation-duration: 10s, 3s;
    -webkit-animation-timing-function: linear, ease-in-out;
    -webkit-animation-iteration-count: infinite, infinite;
    -webkit-animation-play-state: running, running;
    animation-name: snowflakes-fall, snowflakes-shake;
    animation-duration: 10s, 3s;
    animation-timing-function: linear, ease-in-out;
    animation-iteration-count: infinite, infinite;
    animation-play-state: running, running
}

.snowflake:nth-of-type(0) {
    left: 1%;
    -webkit-animation-delay: 0s, 0s;
    animation-delay: 0s, 0s
}

.snowflake:nth-of-type(1) {
    left: 10%;
    -webkit-animation-delay: 1s, 1s;
    animation-delay: 1s, 1s
}

.snowflake:nth-of-type(2) {
    left: 20%;
    -webkit-animation-delay: 6s, 500ms;
    animation-delay: 6s, 500ms
}

.snowflake:nth-of-type(3) {
    left: 30%;
    -webkit-animation-delay: 4s, 2s;
    animation-delay: 4s, 2s
}

.snowflake:nth-of-type(4) {
    left: 40%;
    -webkit-animation-delay: 2s, 2s;
    animation-delay: 2s, 2s
}

.snowflake:nth-of-type(5) {
    left: 50%;
    -webkit-animation-delay: 8s, 3s;
    animation-delay: 8s, 3s
}

.snowflake:nth-of-type(6) {
    left: 60%;
    -webkit-animation-delay: 6s, 2s;
    animation-delay: 6s, 2s
}

.snowflake:nth-of-type(7) {
    left: 70%;
    -webkit-animation-delay: 2500ms, 1s;
    animation-delay: 2500ms, 1s
}

.snowflake:nth-of-type(8) {
    left: 80%;
    -webkit-animation-delay: 1s, 0s;
    animation-delay: 1s, 0s
}

.snowflake:nth-of-type(9) {
    left: 90%;
    -webkit-animation-delay: 3s, 1500ms;
    animation-delay: 3s, 1500ms
}

.snowflake:nth-of-type(10) {
    left: 25%;
    -webkit-animation-delay: 2s, 0s;
    animation-delay: 2s, 0s
}

.snowflake:nth-of-type(11) {
    left: 65%;
    -webkit-animation-delay: 4s, 2500ms;
    animation-delay: 4s, 2500ms
}



/*===================*/
/* WOOBLE VERTICAL
/*===================*/

@-webkit-keyframes wobble-y {
  16.65% {
    -webkit-transform: translateY(8px);
    transform: translateY(8px);
  }
  33.3% {
    -webkit-transform: translateY(-6px);
    transform: translateY(-6px);
  }
  49.95% {
    -webkit-transform: translateY(4px);
    transform: translateY(4px);
  }
  66.6% {
    -webkit-transform: translateY(-2px);
    transform: translateY(-2px);
  }
  83.25% {
    -webkit-transform: translateY(1px);
    transform: translateY(1px);
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}
@keyframes wobble-y {
  16.65% {
    -webkit-transform: translateY(8px);
    transform: translateY(8px);
  }
  33.3% {
    -webkit-transform: translateY(-6px);
    transform: translateY(-6px);
  }
  49.95% {
    -webkit-transform: translateY(4px);
    transform: translateY(4px);
  }
  66.6% {
    -webkit-transform: translateY(-2px);
    transform: translateY(-2px);
  }
  83.25% {
    -webkit-transform: translateY(1px);
    transform: translateY(1px);
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}
.wobble-y {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}
.wobble-y:hover, .wobble-y:focus, .wobble-y:active {
  -webkit-animation-name: wobble-y;
  animation-name: wobble-y;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}

/* ====================================( Click Explode ) ===================== */
/** This stuff is necessary !! **/
.explode > p {
  position: absolute;
  cursor: inherit;
}

.explode {
  transform: translate(-10px,-20px);
  position: absolute;
  pointer-events: none;
}

/* yume ring */
#YumeRing {
width:300px !important;  
min-width:300px !important; 
}